/***********************************************************************
 * A SystemVerilog RTL model of an instruction regisgter:
 * User-defined type definitions
 *
 **********************************************************************/

package instr_register_test_pkg;

  timeunit 1ns; timeprecision 1ns;

  import instr_register_pkg::*;
  export instr_register_pkg::*;

  typedef class Transaction;
  typedef class Monitor;
  typedef class Driver;
  typedef class Generator;
  typedef class BaseTest;

  `include "class_files/transaction.svh"
  `include "class_files/monitor.svh"
  `include "class_files/driver.svh"
  `include "class_files/generator.svh"
  `include "class_files/basetest.svh"

endpackage: instr_register_test_pkg