
class Generator extends Component;

  Driver drv_h;
  Transaction trn_h;
  Scoreboard scb_h;

  function new(Driver drv_h, Scoreboard scb_h);
    this.drv_h = drv_h;
    this.scb_h = scb_h;
    this.trn_h = new();
  endfunction

  task run(int n);
    repeat (n) begin
      trn_h.randomize_transaction();
      this.send(trn_h);
      trn_h.print_transaction();
    end
  endtask

  task send(Transaction trn_h);
     scb_h.save_transaction(trn_h);     
     drv_h.send(trn_h);
  endtask

endclass : Generator

