
class Generator extends Component;

  Driver drv_h;
  Transaction trn_h;
  Scoreboard scb_h;

  function new(Driver drv_h, Scoreboard scb_h);
    this.drv_h = drv_h;
    this.scb_h = scb_h;
    this.trn_h = new();
  endfunction

  task run(int n);
    repeat (n) begin
//      trn_h.b_value.constraint_mode(0); // Step 7
      if (!trn_h.randomize()) $fatal();
//      if (!trn_h.randomize() with {operand_b inside {[-3:3]}; }) $fatal();  //step 6
//        trn_h.b_value.constraint_mode(1); // Step 7
      this.send(trn_h);
      trn_h.print_transaction();
    end
  endtask


  task send(Transaction trn_h);
     scb_h.save_transaction(trn_h);     
     drv_h.send(trn_h);
  endtask

endclass : Generator

