/***********************************************************************
 * Type definitions used in the packet register model and testbench
 *
 **********************************************************************/

package type_defs_pkg;
  timeunit 1ns;
  timeprecision 1ns;

  // ADD USER-DEFINED TYPES HERE...
  typedef struct packed {
    logic        parity;
    bit [31:0]   opA;
    bit [31:0]   opB;
    bit [ 3:0]   opcode;
  } packet_t;

endpackage: type_defs_pkg
